Package org.apache.cxf.common.util

# Class CollectionUtils

java.lang.Object
org.apache.cxf.common.util.CollectionUtils

public final class CollectionUtils extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> Collection<T>`
  `diff(Collection<T> c1, Collection<T> c2)`
  `static <T> boolean`
  `isEmpty(Collection<T> c)`
  `static <K, V> boolean`
  `isEmpty(Map<K,V> m)`
  `static <S, T> Dictionary<S,T>`
  `singletonDictionary(S s, T t)`
  `static <S, T> Dictionary<S,T>`
  `toDictionary(Map<S,T> map)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### diff

    public static <T> Collection<T> diff(Collection<T> c1, Collection<T> c2)

  - ### isEmpty

    public static <T> boolean isEmpty(Collection<T> c)

  - ### isEmpty

    public static <K, V> boolean isEmpty(Map<K,V> m)

  - ### singletonDictionary

    public static <S, T> Dictionary<S,T> singletonDictionary(S s, T t)

  - ### toDictionary

    public static <S, T> Dictionary<S,T> toDictionary(Map<S,T> map)